# CheckStatusEffectPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CheckStatusEffectPhase

#### Hierarchy (View Summary)

- Phase
  - CheckStatusEffectPhase

- Defined in src/phases/check-status-effect-phase.ts:6

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new CheckStatusEffectPhase(order: BattlerIndex []): CheckStatusEffectPhase

  #### Parameters

  - order: BattlerIndex []

  #### Returns CheckStatusEffectPhase

  Overrides Phase.constructor

  - Defined in src/phases/check-status-effect-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/check-status-effect-phase.ts:13